clc
clear all
clc
warning('off','all');
tic
% wG_in0 = 0.48;
% wL_in0 = 11.52;
wG_in0 = 0.36;
wL_in0 = 8.64;
par = v4_new_4d_parameters();
% **** System Inputs ****
zs = [0.01:0.01:0.05 0.055 0.06:0.02:0.12 0.2:0.1:1];
ns = size(zs);
n = ns(2);
y1 = zeros(n,1);
y2 = zeros(n,1);
y3 = zeros(n,1);
global u0;
% ************************
for k = 1:n
    z0 = zs(k);
    u0 = [z0;wG_in0;wL_in0];
    disp(z0);
[x0,y0] = v4_new_4d_initialize(u0,par);

y1(k) = y0(1);
y2(k) = y0(2);
y3(k) = y0(3);

end
toc

save('v1_4d_ss_data.mat','zs','y1','y2','y3');
bif_plots;