clc
clear all
clc
warning('off','all');
tic
% **** System parameters ****
par = v1_new_6d_parameters();
% System goes unstable at z=
z1 = 1;
% **** System Inputs ****
zss = [0.03:0.01:0.1 0.12 0.15 0.2 0.3:0.1:1];
ns = size(zss);
n = ns(2);
y1ss = zeros(n,1);
y2ss = zeros(n,1);
y3ss = zeros(n,1);
y4ss = zeros(n,1);
y5ss = zeros(n,1);
y6ss = zeros(n,1);
y7ss = zeros(n,1);
y8ss = zeros(n,1);
global u0;
% ************************
for k = 1:n
    z2 = zss(k);
    u0 = [z1;z2;0;0];
    disp(z2);
    [x0,y0,par] =  v1_new_6d_initialize(u0,par);

y1ss(k) = y0(1);
y2ss(k) = y0(3);
y3ss(k) = y0(4);
y4ss(k) = y0(7);
y5ss(k) = y0(9);
y6ss(k) = y0(8);
y7ss(k) = y0(2);
y8ss(k) = y0(5);
end
toc

save('v1_6d_ss_data.mat','zss','y1ss','y2ss','y3ss','y4ss','y5ss','y6ss','y7ss','y8ss');
bif_plots;